#!/bin/sh

prefix=@prefix@
exec_prefix=@exec_prefix@
exec_prefix_set=no

usage="\
Usage: zorp-config [--prefix[=DIR]] [--exec-prefix[=DIR]] [--version] [--libs] [--cflags]"

if test $# -eq 0; then
      echo "${usage}" 1>&2
      exit 1
fi

while test $# -gt 0; do
  case "$1" in
  -*=*) optarg=`echo "$1" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
  *) optarg= ;;
  esac

  case $1 in
    --prefix=*)
      prefix=$optarg
      if test $exec_prefix_set = no ; then
        exec_prefix=$optarg
      fi
      ;;
    --prefix)
      echo $prefix
      ;;
    --exec-prefix=*)
      exec_prefix=$optarg
      exec_prefix_set=yes
      ;;
    --exec-prefix)
      echo $exec_prefix
      ;;
    --version)
      echo @VERSION@
      ;;
    --cppflags)
      echo "-I@includedir@/@PACKAGE@ @DEPS_CPPFLAGS@"
      ;;
    --cflags)
      echo "@CFLAGS@"
      ;;
    --libs)
      echo "-lzorp -lzorpll @LIBS@"
      ;;
    --ll-libs)
      echo "-lzorpll @DEPS_LIBS@"
      ;;
    --local-cppflags)
      includes="-I@zorp_srcdir@/lib -I@zorp_srcdir@ @DEPS_CPPFLAGS@"
      echo $includes
      ;;
    --local-cflags)
      echo "@CFLAGS@"
      ;;
    --local-libs)
      echo "-L@zorp_srcdir@/lib/.libs -lzorp -lzorpll @LIBS@"
      ;;
    --local-ll-libs)
      echo "-L@zorp_srcdir@/lib/.libs -lzorpll @DEPS_LIBS@"
      ;;
    --datadir)
      echo @datadir@/@PACKAGE@
      ;;
    --moduledir)
      echo @libdir@/@PACKAGE@
      ;;
    --trace)
      echo @enable_trace@
      ;;
    --debug)
      echo @enable_debug@
      ;;
    --dmalloc)
      echo @enable_dmalloc@
      ;;
    --residual_protection)
      echo @enable_residual_protection@
      ;;
    *)
      echo "${usage}" 1>&2
      exit 1
      ;;
  esac
  shift
done

